## Class TMapIterator

Description

Implements interfaces:

TMapIterator class

TMapIterator implements Iterator interface.

TMapIterator is used by TMap. It allows TMap to return a new iterator for traversing the items in the map.

- since: 3.0
- version: $Id: TMap.php 1398 2006-09-08 19:31:03Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Collections/TMap.php (line 280)

Method Summary
TMapIterator __construct (array &$data)
mixed current ()
mixed key ()
void next ()
void rewind ()
boolean valid ()
Methods
Constructor __construct (line 299)

Constructor.

- access: public

TMapIterator __construct (array &$data)

- array &$data: the data to be iterated through

current (line 329)

Returns the current array element.

This method is required by the interface Iterator.

- return: the current array element
- access: public

mixed current ()
key (line 319)

Returns the key of the current array element.

This method is required by the interface Iterator.

- return: the key of the current array element
- access: public

mixed key ()
next (line 338)

Moves the internal pointer to the next array element.

This method is required by the interface Iterator.

- access: public

void next ()
rewind (line 309)

Rewinds internal array pointer.

This method is required by the interface Iterator.

- access: public

void rewind ()
valid (line 348)

Returns whether there is an element at current position.

This method is required by the interface Iterator.

- access: public

boolean valid ()

Documentation generated on Mon, 21 Apr 2008 11:35:34 -0400 by phpDocumentor 1.3.0RC4